## vali 0.1.0

=== debian/changelog ===
vali (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1117255)

 -- Birger Schacht <birger@debian.org>  Mon, 13 Oct 2025 15:23:57 +0200
