=== debian/control ===
Source: vali
Section: libdevel
Priority: optional
Maintainer: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (=13),
               meson,
               pkgconf,
               libjson-c-dev,
               libaml-dev
Standards-Version: 4.7.2
Homepage: https://gitlab.freedesktop.org/emersion/vali
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/vali
Vcs-Git: https://salsa.debian.org/debian/vali.git

Package: vali
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Code generator for the "vali" varlink C implementation
 This package contains the code generator.


Package: libvali-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Varlink "vali" C implementation -- development files
 This package contains the C library header files.

Package: libvali0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Varlink "vali" C implementation
 This package contains the C library shared libraries.
