=== debian/watch ===
Version: 5

Source: https://gitlab.freedesktop.org/emersion/vali
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
